Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xjava.security
Class IllegalBlockSizeException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--xjava.security.IllegalBlockSizeException

public class IllegalBlockSizeException
extends java.lang.RuntimeException

This exception is thrown when an incorrect block size is processed through a cipher.

Copyright © 1997 Systemics Ltd on behalf of the Cryptix Development Team.
All rights reserved.

$Revision: 1.3 $

Since:
  IJCE 1.0.0
Author:
  David Hopwood
See Also:
  Serialized Form

Field Summary
`int` | `blockSize` Deprecated. Use getBlockSize().
`int` | `dataSize` Deprecated. Use getDataSize().

Constructor Summary
`IllegalBlockSizeException(int blockSize, int dataSize)` Constructs an IllegalBlockSizeException with the specified block size and illegal data size.
`IllegalBlockSizeException(int blockSize, int dataSize, java.lang.String message)` Constructs an IllegalBlockSizeException with the specified block size, illegal data size, and detail message.
`IllegalBlockSizeException(java.lang.String message)` Constructs an IllegalBlockSizeException with the specified detail message.

Method Summary
`int` | `getBlockSize()` Gets the block size of the cipher (or 0 if this was not set).
`int` | `getDataSize()` Gets the size of the data passed to the cipher (or 0 if this was not set).

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### blockSize

    public int blockSize

  Deprecated. Use getBlockSize().

  The block size of the cipher.

### dataSize

    public int dataSize

  Deprecated. Use getDataSize().

  The size of the data passed to the cipher.

Constructor Detail

### IllegalBlockSizeException

    public IllegalBlockSizeException(java.lang.String message)

  Constructs an IllegalBlockSizeException with the specified detail message. A detail message is a String that describes this particular exception.
  Parameters:
    `message` - the detail message.

### IllegalBlockSizeException

    public IllegalBlockSizeException(int blockSize,
                                     int dataSize)

  Constructs an IllegalBlockSizeException with the specified block size and illegal data size.

  The detail message is set to `"blockSize = " + blockSize + ", dataSize = " + dataSize`.

  Parameters:
    `blockSize` - the block size of the cipher.
    `dataSize` - the illegal size of the data passed to the cipher.

### IllegalBlockSizeException

    public IllegalBlockSizeException(int blockSize,
                                     int dataSize,
                                     java.lang.String message)

  Constructs an IllegalBlockSizeException with the specified block size, illegal data size, and detail message.

  This constructor is not supported in JavaSoft's version of JCE.

  Parameters:
    `blockSize` - the block size of the cipher.
    `dataSize` - the illegal size of the data passed to the cipher.
    `message` - the detail message.

Method Detail

### getBlockSize

    public int getBlockSize()

  Gets the block size of the cipher (or 0 if this was not set).

  This method is not supported in JavaSoft's version of JCE.

### getDataSize

    public int getDataSize()

  Gets the size of the data passed to the cipher (or 0 if this was not set).

  This method is not supported in JavaSoft's version of JCE.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.